Subject: Re: bug#13578: Status: A new versioning scheme for automake releases, and a new branching scheme for the Git repository

From: Mathieu Lirzin <[email-masked]>
Date: Wed, 20 Sep 2017 01:09:37 +0200

Hello,

Mathieu Lirzin <[email-masked]> writes:

> Right now we are using this branch naming scheme:
>
>    - micro: for next micro version
>    - minor: for next minor version
>    - master: for next major version
>
> Given the current state of Automake I consider that the main scenario
> for contributing to Automake is either fixing a bug or developping an
> additional feature ontop of the current release version (1.15).  As a
> consequence the current branching scheme requires newcomers to read
> through the HACKING file to understand that they have to base their work
> either on the "micro" or "minor" branch.
>
[...]
> What I am proposing is the following branch name scheme:
>
>    - master: for the next version to be released (currently a minor version)
>    - maint: for the previous releases (major or minor) merged
>             from master and their bug fixing commits leading to a micro
>             version release.
>    - next: for the "not ready to be release" Automake 2.0 that should
>            be merged in master when ready (if ever)
>
> Unless there are better suggestions or valid objections proposed in the
> following week, I will send a request to the Savannah administrators to
> apply the following renaming:
>
>    - master -> next
>    - minor -> master
>    - micro -> maint

After doing that request to the Savannah administrators which has not
been answered after more than 2 months [1]. I have decided to proceed
with the the branch renaming myself by resetting the 'master' branch and
then merging 'minor' into 'master' manually.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37

[1] https://lists.gnu.org/archive/html/savannah-hackers/2017-07/msg00002.html